%%%%%%%%%%%%%%% FICHIER OLR
% ouverture / lecture du fichier
clear
close all

fid=fopen('olrf10-30_clim_sst.80.dat','r');
siz=24*15*3538;
v=fread(fid,siz,'float');
fclose(fid);
olr=reshape(v,360,3538); clear v;

 
% calcul de la matrice de covariance
vaudou=zeros(360,360);
for a=1:360;
    for b=1:360;
      clear e d covaria;
      e=olr(b,:); 
      d=olr(a,:); 
      covaria=cov(e,d);
      vaudou(a,b)=covaria(2,1);
    end;
end;

% on diagonalise la matrice de covariance
[C,L]=eig(vaudou);

% spatialisation du premier mode


% serie temporelle de la premiere vP

delete('eof_1030_ircaam_ctl_clim.mat');
save('eof_1030_ircaam_ctl_clim.mat','C','L','olr')
